"""
Generate time series of nominated "gauges".
Input: sww file from run_perth.py
       gauges project.gauge_filename
Output: csv files stage,speed,depth,elevation over time
Stored in the 'outputs_dir' folder for respective .sww file

Note:
Can run different sww files at the same time
make sure if there is a second sww file that it is placed into a folder called sww2
Can run different gauges at the same time - ie testing boundary index point
"""

from os import sep, rename, listdir, system
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
import project

directory = project.output_dir

##time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'+sep+'gauge'
##time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'+sep+'gauge'
##time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'+sep+'gauge'
time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
##time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'+sep+'gauge'
##time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'+sep+'gauge'

time_dirs = [time_dir4] #[time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]

for time_dir in time_dirs:
    name = directory+time_dir+sep+project.scenario_name
    gauge = project.gauges_dir_name
    sww2csv_gauges(name+'.sww',gauge,
                   quantities = ['stage','speed','depth','elevation'],
                   verbose=True)

    
##    name1 = directory+time_dir+sep+project.scenario_name 
####    name2 = directory+time_dir+sep+project.scenario_name+'_time_43380_0'
####    name3 = directory+time_dir+sep+project.scenario_name+'_time_78360_0'
##
##    names = [name1]#, name2, name3]
##
##    for i, name in enumerate(names):
##        gauge = project.gauges_dir_name
####        out_name = 'gauge_%d_' % i
##        print name
##        sww2csv_gauges(name+'.sww',gauge,#out_name = out_name,
##                        quantities = ['stage','speed','depth','elevation'],
##                        verbose=True)
##
